Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706886 - app-forensics/foremost-1.5.7-r3 : fails to build with -fno-common or gcc-10
Summary: app-forensics/foremost-1.5.7-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Auty
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:31 UTC by Toralf Förster
Modified: 2020-05-10 11:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.38 KB, text/plain)
2020-01-28 18:31 UTC, Toralf Förster
Details
app-forensics:foremost-1.5.7-r3:20200128-064953.log (app-forensics:foremost-1.5.7-r3:20200128-064953.log,13.83 KB, text/plain)
2020-01-28 18:31 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,49.18 KB, text/plain)
2020-01-28 18:31 UTC, Toralf Förster
Details
environment (environment,75.67 KB, text/plain)
2020-01-28 18:31 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.76 KB, application/x-bzip)
2020-01-28 18:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.18 KB, application/x-bzip)
2020-01-28 18:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:31:37 UTC
api.c:481:10: warning: variable ‘unknown’ set but not used [-Wunused-but-set-variable]
  481 |  short   unknown;
      |          ^~~~~~~
x86_64-pc-linux-gnu-gcc -DVERSION=\"1.5.7\" -O2 -pipe -march=native -fno-common -Wall -Wl,-O1 -Wl,--as-needed -D__UNIX -D__LINUX -DLARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 main.o state.o helpers.o config.o cli.o engine.o dir.o extract.o api.o -o foremost 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: state.o:(.bss+0xbd760): multiple definition of `wildcard'; main.o:(.bss+0xbd760): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: state.o:(.bss+0x20): multiple definition of `search_spec'; main.o:(.bss+0x20): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200126-092715

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 06:06:24 +0000

emerge -qpvO app-forensics/foremost
[ebuild  N    ] app-forensics/foremost-1.5.7-r3
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:31:40 UTC
Created attachment 606352 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:31:43 UTC
Created attachment 606354 [details]
app-forensics:foremost-1.5.7-r3:20200128-064953.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:31:46 UTC
Created attachment 606356 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:31:49 UTC
Created attachment 606358 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:31:52 UTC
Created attachment 606360 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:31:54 UTC
Created attachment 606362 [details]
temp.tbz2
Comment 7 Mike Auty gentoo-dev 2020-05-10 11:52:34 UTC
This should now be fixed in commit f165f8e07e45.  I've tried to resolve all the set-but-unused issues.  Please feel free to reopen if I've missed something...  5:)